-- =============================================
-- Author:		<Alessandro Tringali>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[PL_D3_S151ProfiloDiRischio] --'F','LVTPLA70C62C523L'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	DECLARE @varBF DECIMAL(12,2)
	DECLARE @coperturaBF DECIMAL(12,2)
	DECLARE @codiceProfilo SMALLINT
	DECLARE @dataProfilo DATETIME
	DECLARE @dataScadenzaProfilo DATETIME
	DECLARE @varProfilo DECIMAL(5,2)
	DECLARE @nomeProfilo VARCHAR(50)
	DECLARE @descrizioneProfilo VARCHAR(500)
    DECLARE @riskclass VARCHAR(50)
    DECLARE @experience SMALLINT
	declare @descrizioneEsperienza VARCHAR(100)
	DECLARE @riserva decimal(13,2)
	DECLARE @inv_l_p decimal(5,2)
	SELECT
        @codiceProfilo = M.PROFILO_ASS,
		@dataProfilo = M.DATA_INIZIO_VAL,
		@dataScadenzaProfilo = M.DATA_FINE_VAL,
		@varProfilo = CR.MAX_VAR,
		@nomeProfilo = ProfiliDiRischio.NOMEPROFILO,
		@descrizioneProfilo = ProfiliDiRischio.DescrizioneProfilo,
		@riskclass =  m.riskclass,
        @experience = m.experience,
		@descrizioneEsperienza =	
			case m.experience
				when 0 then 'Minimo'
				when 1 then 'Basso'
				when 2 then 'Medio basso'
				when 3 then 'Medio alto'
				when 4 then 'Alto'
				--when 5 then 'Alta'
				else '-'
			end,
		@riserva=m.importoriserva,
		@inv_l_p=m.perclungoperiodo
	FROM
		C6MART.MIFID AS M
		INNER JOIN C6MART.CODIFICA_RISCHIO AS CR
		ON M.PROFILO_ASS = CR.PROFILO
		INNER JOIN DBO.ProfiliDiRischio AS ProfiliDiRischio
		ON M.PROFILO_ASS = ProfiliDiRischio.CODICEPROFILO
	WHERE
		M.RETE = @Rete AND
		M.COD_FISCALE = @CodiceFiscale
	SELECT
        @codiceProfilo as codiceProfilo,
		DBO.TOSHORTDATESTRING (@dataProfilo) as dataInizioValidita,
		DBO.TOSHORTDATESTRING (convert(datetime, @dataScadenzaProfilo)) as dataScadenzaProfilo,
		@varProfilo as varMassimo,
		ISNULL(@varBF,0) as varBF,
		ISNULL(@coperturaBF,0) as coperturaBF,
		@nomeProfilo as nomeProfilo,
		@descrizioneProfilo as descrizioneProfilo,
		@riskclass as riskclass,
        @experience as experince,
		@descrizioneEsperienza as DescrizioneEsperienza,
		@riserva as Riserva,
		@inv_l_p as Inv_L_P
END